Status: Closed Start date: 10/08/2015
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: SRS Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Je croyais que Paul vérifier les parametres de TC_LFR_LOAD_NORMAL_PAR dans I'ordre de leur place
SY_LFR_N_SWF_L

SY_LFR_N_SWP_P

SY_LFR_N_ASM_P

SY_LFR_N_BP_PO

SY_LFR_N_BP_P1

SY_LFR_N_CWF_LONG_F3

Ce qui est vrai si un seul parametre est faux.

Si on envoie le parametrage suivant
SY_LFR_N_ASM_P = 1s
SY_LFR_N_BP_PO =1s
SY_LFR_N_BP_PO =1s

--> on obtient bien une TM_LFR_TC_EXE_INCONSISTENT mais sur le parametre SY_LFR_N_BP_PO0 et non
sur SY_LFR_N_ASM_P

17:09:45.661845, TC_LFR_LOAD_NORMAL_PAR, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TC_PACKET =1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET ID=0x1ccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=0, (PACKET _SEQUENCE_CONTROL=0xc000), PACKET LENGTH=15,
CCSDS_SECONDARY_HEADER_FLAG=0, PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1,
ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE=1, SERVICE_TYPE:
EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_NORMAL_PARAMETERS_1 = 13, SOURCE_ID: MISSION_TIMELINE
=110, SY_LFR_N_SWF_L = 2048, SY_LFR_N_SWP_P = 16(s), SY_LFR_N_ASM_P = 1(s), SY_LFR_N_BP_PO = 1(s),
SY_LFR_N_BP_P1 = 1(s), SPARE=0x0, SY_LFR_N_CWF_LONG_F3 = 1, SPARE=0x0, CRC = Oxab17

17:09:45.675133, TM_LFR_TC_EXE_INCONSISTENT, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID 2 = 76, PACKET CATEGORY: ACKNOWLEDGE
=1, (PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=8,
(PACKET_SEQUENCE_CONTROL=0xc008), PACKET LENGTH=19, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_FAILURE = 8,
DESTINATION_ID: MISSION_TIMELINE = 110, TIME=0x80000a0f7f28, PA_RPW_TELECOMMAND_PKT _ID=0x1ccc,
PA_RPW_PKT_SEQ_CONTROL=0xc000, PA_RPW_TC_FAILURE_CODE: WRONG_APP_DATA = 5,

PA_RPW _TC_SERVICE=181, PA_RPW_TC_SUBTYPE=13, PA_RPW_BYTE_POSITION=16, PA_RPW_RCV_VALUE=1

Le script utilisé est /opt/VALIDATION_RS/Ifrverif/LFR_SVS/SVS-0029/normal_mode_parameter_set.py
le fichier de log (2015_07_28-18_32_00-Detail.txt) se trouve dans /home/validation/data/R3/3.0.0.8/1.1.88/SVS-0029/BUG-XXX,
XXX etant le numero de ce bug.

Contexte du test

FSW 3.0.0.8

VHDL 1.1.88

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee
#1 - 10/08/2015 01:52 PM - Veronique bouzid

J ai crée une feature (#481) qui résume les vérifications effectuées sur les parametresde TC_LFR_LOAD_NORMAL_PAR
Si tu es d'accord avec ma description, tu peux fermer ce point en faisant réference a la feature.

#2 - 29/09/2015 08:14 AM - paul leroy
- Status changed from New to Feedback

- Assignee changed from paul leroy to Veronique bouzid

OK pour que tu fermes l'issue #482.

#3 - 02/10/2015 01:04 PM - Veronique bouzid
- Category set to SRS

METTRE A JOUR la SRS

#4 - 02/10/2015 05:02 PM - Veronique bouzid
- Status changed from Feedback to Closed

#5 - 23/10/2015 04:18 PM - bruno katra

- Status changed from Closed to In Progress

#6 - 26/10/2015 01:24 PM - Veronique bouzid

- Status changed from In Progress to Closed

Mise a jour de la SRS effectuée (REQ-LFR-SRS-5503) vesrion 1.9
